From 3aa314f759f45020a4752434b0a7e9bbc2c4a04c Mon Sep 17 00:00:00 2001
From: Baochen qiang <bqiang@codeaurora.org>
Date: Mon, 20 Jul 2020 13:34:04 +0800
Subject: [PATCH 157/173] ath11k: attach hw values and hw params for QCA6490

Similar to QCA6290/QCA6390, also need to attach hw_values,
and init srng_param and fw directory for QCA6490.

Tested-on: QCA6490 hw1.1 PCI WLAN.HSP.1.1-00687-QCAHSPSWPL_V1_SILICONZ-1

Signed-off-by: Baochen qiang <bqiang@codeaurora.org>
---
 drivers/net/wireless/ath/ath11k/core.c | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/drivers/net/wireless/ath/ath11k/core.c b/drivers/net/wireless/ath/ath11k/core.c
index b7a2323..c64c750 100644
--- a/drivers/net/wireless/ath/ath11k/core.c
+++ b/drivers/net/wireless/ath/ath11k/core.c
@@ -65,9 +65,13 @@
 	{
 		.name = "qca6490",
 		.dev_id = ATH11K_HW_QCA6490,
+		.fw = {
+			.dir = "QCA6490/hw1.1",
+		},
 		.internal_sleep_clock = true,
 		.single_pdev_only = true,
 		.hw_ops = &ath11k_hw_ops_qca6x90,
+		.srng_params = &ath11k_hw_srng_qca6x90,
 		.misc_caps = MISC_CAPS_HOST2FW_RXBUF_RING |
 			MISC_CAPS_TCL_0_ONLY,
 		.rxdma1_enable = false,
@@ -971,6 +975,7 @@ int ath11k_core_pre_init(struct ath11k_base *ab)
 		break;
 	case ATH11K_HW_QCA6490:
 		ab->regs = &qca6490_regs;
+		ab->hw_values = &qca6x90_values;
 		ath11k_override_hal_srng_config(ab);
 		break;
 	default:
-- 
1.9.1

